/*
 *			g e t a l p h a . c
 */

/*)LIBRARY
*/

#ifdef DOCUMENTATION

title	getalp	Get Current Alpha Field
index		get current Alpha field

synopsis

	int
	getalpha(start,buff)
	 char **start;	/* pointer to source buffer pointer */
	 char *buff;	/* pointer to destination buffer */

description

	getalpha() copies data from start to buff, until a non-alpha
	character is encounted.
	Nothing is returned.

bugs

author

	Machiavelli Systems

#endif



getalpha(start_ptr, gen)
char	**start_ptr;
char	*gen;
{
	while(isalpha(**start_ptr)) {
		*gen=**start_ptr;
		gen++;
		(*start_ptr)++;
	}
}
